## kdeplasma-addons 6.5.1+p24.04+vstable+git20251029.1219

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.2")
project(kdeplasma-addons VERSION ${PROJECT_VERSION})

################# Disallow in-source build #################
if("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
endif()

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(FeatureSummary)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMGenerateExportHeader)
include(ECMInstallIcons)
include(KDEPackageAppTemplates)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED
    Core
    Gui
    DBus
    Network
    Quick
    Qml
    Widgets
    Test
    Core5Compat
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    Declarative
    GlobalAccel
    Holidays
    I18n
    Auth
    KIO
    KCMUtils
    Notifications
    Runner
    Service
    Sonnet
    UnitConversion
    XmlGui
    NewStuff
    JobWidgets
    Svg
)

find_package(Plasma5Support ${PROJECT_DEP_VERSION})
set_package_properties(Plasma5Support PROPERTIES
    PURPOSE "Required at runtime for a few applets"
    TYPE RUNTIME
)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

find_package(KF6Purpose CONFIG QUIET)
set_package_properties(KF6Purpose PROPERTIES
    DESCRIPTION "Framework for cross-application services and actions"
    PURPOSE "Needed for QuickShare applet"
    URL "https://commits.kde.org/purpose"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User List widget"
    TYPE RUNTIME
)

find_package(KF6ItemModels CONFIG)
set_package_properties(KF6ItemModels PROPERTIES
    DESCRIPTION "Set of item models extending the Qt model-view framework"
    PURPOSE "Required at runtime for the Dictionary, Kate Profiles, and Konsole Profiles applets"
    TYPE RUNTIME
)

find_package(ICU 66.1 COMPONENTS uc i18n)
set_package_properties(ICU
        PROPERTIES DESCRIPTION "Unicode and Globalization support for software applications"
        TYPE OPTIONAL
        PURPOSE "Provides alternate calendar systems that are not available in QCalendar"
        )
if(ICU_FOUND)
    set(HAVE_ICU TRUE)
endif()

find_package(Qt6Quick3D CONFIG)
set_package_properties(Qt6Quick3D PROPERTIES
    DESCRIPTION "A high-level API for creating 3D content and 3D user interfaces based on Qt Quick"
    PURPOSE "Required for desktop cube"
    TYPE RUNTIME
)

add_definitions(
    -DQT_DEPRECATED_WARNINGS
    -DQT_NO_URL_CAST_FROM_STRING
)

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

add_subdirectory(dict)
add_subdirectory(kdeds)
add_subdirectory(profiles)
add_subdirectory(applets)
add_subdirectory(runners)

add_subdirectory(wallpapers)

add_subdirectory(kwin)

add_subdirectory(plasmacalendarplugins)

add_subdirectory(templates)
add_subdirectory(appiumtests)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KDEPLASMAADDONS
    FILE kdeplasma-addons.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdeplasma-addons (4:6.5.1+p24.04+vstable+git20251029.1219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 12:19:44 +0000

kdeplasma-addons (4:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:41:33 +0000

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-krunner-dev,
               kf6-kservice-dev,
               kf6-ksvg-dev,
               kf6-kunitconversion-dev,
               kf6-networkmanager-qt-dev,
               kf6-purpose-dev,
               libboost-dev,
               libgee-dev | libgee-0.8-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5sysguard-dev,
               libplasma-dev,
               libx11-dev,
               libxcb-keysyms1-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-workspace-dev,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-quick3d-dev,
               qt6-webengine-dev,
               shared-mime-info
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kdeplasma-addons
Vcs-Git: https://invent.kde.org/neon/kde/kdeplasma-addons.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdeplasma-addons
Maintainer: Neon CI <neon@kde.org>

Package: kdeplasma-addons
Architecture: any
Depends: kwin-addons,
         plasma-calendar-addons,
         plasma-dataengines-addons,
         plasma-runners-addons,
         plasma-wallpapers-addons,
         plasma-widgets-addons,
         ${misc:Depends},
         ${shlibs:Depends}
Description: metapackage for all plasma and kwin addon packages
 This package contains additional the plasma-calender-addons, 
 plasma-dataengine-addons, plasma-runners-addons, plasma-wallpapers-addons, 
 plasma-widgets-addons extras/addons shipped in the Plasma 5 addons module.
 .
 They can be installed individually if you do not want to install them all.

Package: kdeplasma-addons-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.
Multi-Arch: foreign

Package: kwin-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-common,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kio,
         kf6-kpackage,
         kf6-purpose,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-workspace,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plasma-workspace (<< 4:6.5.0)
Replaces: plasma-workspace (<< 4:6.5.0)
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Calculator
  * Dictionary
  * Fuzzy Clock
  * Konsole Profiles
  * Notes
  * System Load Viewer
  * Timer
  * Unit Converter
  * Userswitcher
  * Diskquota
  * Activity pager
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         libplasma6,
         qml6-module-org-kde-kitemmodels,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma  5 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Dictionary
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kirigami2,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * More coming soon..
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-calendar-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kf6-kcmutils,
         kf6-kirigami2,
         libplasma6,
         ${misc:Depends},
         ${shlibs:Depends}
Description: additional calendar plugins for Plasma 6
 Astronomical plugin for Plasma's calendar.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: libplasmapotdprovidercore-dev
Section: libdevel
Architecture: any
Depends: kf6-kcoreaddons-dev,
         plasma-dataengines-addons (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Development files for libplasmapotdprovidercore
 For development with libplasmapotdprovidercore

## kdeplasma-addons 6.5.1+p24.04+vstable+git20251031.1001

=== debian/changelog ===
kdeplasma-addons (4:6.5.1+p24.04+vstable+git20251031.1001-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:01:40 +0000

## kdeplasma-addons 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== dict/CMakeLists.txt ===
ecm_install_icons(
    ICONS sc-apps-accessories-dictionary.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
)

add_library(engine_dict_static STATIC dictengine.cpp)
set_property(TARGET engine_dict_static PROPERTY POSITION_INDEPENDENT_CODE ON)
target_compile_definitions(engine_dict_static PRIVATE -DTRANSLATION_DOMAIN="plasma_addons_engine_dict")

target_link_libraries (engine_dict_static
    KF6::I18n
    Qt::Network
)

=== kwin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(effects)
add_subdirectory(windowswitchers)

=== applets/mediaframe/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.mediaframe)

ecm_add_qml_module(mediaframeplugin URI org.kde.plasma.private.mediaframe)
target_sources(mediaframeplugin PRIVATE
    plugin/mediaframe.cpp
    plugin/mediaframeplugin.cpp
)
ecm_qt_declare_logging_category(mediaframeplugin
    HEADER debug_p.h
    IDENTIFIER "PLASMA_MEDIAFRAME"
    CATEGORY_NAME org.kde.plasma.mediaframe
    DESCRIPTION "Plasma Media Frame widget"
    DEFAULT_SEVERITY Warning
    EXPORT "PLASMA_MEDIAFRAME"
)

target_link_libraries(mediaframeplugin PRIVATE
    Qt::Core
    Qt::Qml
    Qt::Quick
    KF6::I18n
    KF6::KIOCore
)
ecm_finalize_qml_module(mediaframeplugin)

=== applets/timer/CMakeLists.txt ===
plasma_add_applet(org.kde.plasma.timer
    QML_SOURCES
        CompactRepresentation.qml
        configAdvanced.qml
        configAppearance.qml
        config.qml
        configTimes.qml
        main.qml
        TimerEdit.qml
        TimerView.qml
    RESOURCES
        main.xml
    CPP_SOURCES
        timer.h
    GENERATE_APPLET_CLASS
)

target_link_libraries(org.kde.plasma.timer PRIVATE Qt::Core Qt::Qml)

install(FILES timer.svgz DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/widgets/)
install(FILES plasma_applet_timer.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== applets/weather/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.weather\")

install(FILES wind-arrows.svgz DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/default/weather/)

add_subdirectory(weatherdata)
add_subdirectory(ions)

plasma_add_applet(org.kde.plasma.weather
    QML_SOURCES
        qml/CompactRepresentation.qml
        qml/DetailsView.qml
        qml/ForecastView.qml
        qml/FullRepresentation.qml
        qml/IconAndTextItem.qml
        qml/main.qml
        qml/NoticesView.qml
        qml/SwitchPanel.qml
        qml/TopPanel.qml
        qml/config/ConfigAppearance.qml
        qml/config/ConfigUnits.qml
        qml/config/ConfigWeatherStation.qml
        qml/config/config.qml
    CPP_SOURCES
        util.cpp
        abstractunitlistmodel.cpp
        locationscontrol.cpp
        forecastcontrol.cpp
        weatherdatamonitor_p.cpp
        abstractunitlistmodel.cpp
        ioncontrol_p.cpp
        forecastdata.cpp
        locationsdata.cpp
        types.h
    RESOURCES
        main.xml
    GENERATE_APPLET_CLASS
)

ecm_qt_declare_logging_category(org.kde.plasma.weather
    HEADER weathercontroller_debug.h
    IDENTIFIER WEATHER::CONTROLLER
    CATEGORY_NAME org.kde.applets.weather.controller
    DEFAULT_SEVERITY Info
    DESCRIPTION "Weather controller"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(org.kde.plasma.weather PRIVATE
    KF6::UnitConversion
    KF6::I18n
    Qt::Core
    Qt::DBus
    Qt::Qml
    Qt::Network
    Qt::Gui
    KF6::KIOCore
    plasmaweatherion
    plasmaweatherdata
)

=== kdeds/kameleon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Natalie Clarius <natalie.clarius@kde.org>
# SPDX-License-Identifier: LGPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL

kcoreaddons_add_plugin(kameleon
    SOURCES
        kameleon.cpp
        kameleon.h
    INSTALL_NAMESPACE
        "kf6/kded")

target_link_libraries(kameleon
                      KF6::CoreAddons
                      KF6::I18n
                      KF6::AuthCore
                      KF6::ConfigCore
                      KF6::ConfigGui
                      KF6::DBusAddons
                      KF6::WidgetsAddons)

ecm_qt_declare_logging_category(kameleon
                      HEADER kameleon_debug.h
                      IDENTIFIER KAMELEON
                      CATEGORY_NAME org.kde.kameleon
                      DESCRIPTION "kded module for accent coloring device leds"
                      EXPORT KDEPLASMAADDONS
                  )

########### kauth helper ################
add_executable(kameleonhelper)
target_sources(kameleonhelper PRIVATE kameleonhelper.cpp kameleonhelper.h)

target_link_libraries(kameleonhelper
    Qt6::Core
    KF6::AuthCore
    KF6::CoreAddons
)

install(TARGETS kameleonhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(kameleonhelper org.kde.kameleonhelper root)
kauth_install_actions(org.kde.kameleonhelper kameleonhelper.actions)

ecm_qt_declare_logging_category(kameleonhelper
                      HEADER kameleonhelper_debug.h
                      IDENTIFIER KAMELEONHELPER
                      CATEGORY_NAME org.kde.kameleonhelper
                      DESCRIPTION "Helper for kded module for accent coloring device leds"
                      EXPORT KDEPLASMAADDONS
                  )

=== kwin/windowswitchers/CMakeLists.txt ===
# packages
set(TABBOX_DIR ${KDE_INSTALL_DATADIR}/kwin/tabbox)
install(DIRECTORY big_icons    DESTINATION ${TABBOX_DIR})
install(DIRECTORY compact      DESTINATION ${TABBOX_DIR})
install(DIRECTORY coverswitch  DESTINATION ${TABBOX_DIR})
install(DIRECTORY flipswitch   DESTINATION ${TABBOX_DIR})
install(DIRECTORY sidebar      DESTINATION ${TABBOX_DIR})

=== runners/characters/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_CharacterRunner")

kcoreaddons_add_plugin(krunner_charrunner SOURCES charrunner.cpp INSTALL_NAMESPACE "kf6/krunner")
target_link_libraries(krunner_charrunner
    KF6::Runner
    KF6::I18n
    KF6::ConfigCore
    Qt::Gui
)

kcoreaddons_add_plugin(kcm_krunner_charrunner INSTALL_NAMESPACE "kf6/krunner/kcms")
target_compile_definitions(kcm_krunner_charrunner PRIVATE -DKRUNNER_PLUGIN_NAME="krunner_charrunner")
target_sources(kcm_krunner_charrunner PRIVATE charrunner_config.cpp)
ki18n_wrap_ui(kcm_krunner_charrunner charrunner_config.ui)
target_link_libraries(kcm_krunner_charrunner
    KF6::Runner
    KF6::KCMUtils
    KF6::I18n
)

=== runners/colors/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025 Kai Uwe Broulik <kde@broulik.de>

add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_colors")

kcoreaddons_add_plugin(krunner_colors SOURCES
    colorsrunner.cpp
    colorsrunner.h
    colorcircleiconengine.cpp
    colorcircleiconengine.h
    INSTALL_NAMESPACE "kf6/krunner"
)

target_link_libraries(krunner_colors
    Qt::Gui
    KF6::Runner
    KF6::I18n
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== debian/changelog ===
kdeplasma-addons (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:11:12 +0000

kdeplasma-addons (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Breaks/Replaces for Ubuntu.
    - Drop kwin-x11 depends.
    - Do not build tests.
  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:26 +0000

kdeplasma-addons (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update build deps from cmake.
  * Update install files.
  * Sync changes from Debian.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:36:08 +0100

=== debian/control ===
Source: kdeplasma-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               hunspell-en-us <!nocheck>,
               libicu-dev (>= 66.1~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6sonnet-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libplasma-dev (>= 6.5.2~),
               libplasma5support-dev (>= 4:6.5.2~),
               pkgconf,
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-webengine-dev (>= 6.9.0~) [amd64 arm64 armhf i386],
               sonnet6-plugins <!nocheck>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kdeplasma-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons

Package: kdeplasma-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: locale files for kdeplasma-addons
 The KDE Plasma addons module is a collection of additional Plasma 6
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package contains locale files for KDE Plasma addons module.

Package: kwin-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         kwin-wayland (>= 4:6.2.90~),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick3d,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional desktop and window switchers for KWin
 This package contains additional KWin desktop and window switchers shipped in
 the Plasma 6 addons module.
 .
 This package is part of the KDE Plasma addons module.

Package: libplasmaweatherdata6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
Description: weather data manipulation library for Plasma widgets
 This library provide various classes to manipulate weather forecast data.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: libplasmaweatherion6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
Description: weather location and forcast library for Plasma widgets
 This library provides weather "ions" that can be used to request locations
 and weather forecast on the locations.
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-calendar-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional calendar plugins for Plasma 6
 This package contains additional Plasma 6 calendar plugins that are used in
 the Plasma desktop.
 .
 This package contains the following calendars:
  * Alternate Calendar
  * Astonomical Calendar
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-dataengines-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma 6
 addons module. These engines are needed by some Plasma 6 widget shipped with
 plasma-widgets-addons, but they may be useful for any other Plasma widgets too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional runners for Plasma 6 and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package contains the following runners:
  * Special Characters
  * Unit Converter
  * Date and Time
  * Dictionary
  * Kate Sessions
  * Konsole Profiles
  * Spell Checker
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-wallpapers-addons
Architecture: any
Multi-Arch: same
Depends: kdeplasma-addons-data (= ${source:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Description: additional wallpaper plugins for Plasma 6
 This package contains additional Plasma 6 wallpaper plugins that are used in
 the Plasma desktop.
 .
 This package contains the following wallpaper plugins:
  * Haenau
  * Hunyango
  * Picture of the Day
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons
Architecture: any
Depends: kdeplasma-addons-data (= ${source:Version}),
         kpackagetool6,
         libkf6purpose-bin,
         plasma-dataengines-addons (= ${binary:Version}),
         plasma-desktoptheme (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: plasma-systemmonitor (>= 6.2.90~),
Suggests: quota,
Breaks: plasma-workspace-data (<< 4:6.4.90~),
Replaces: plasma-workspace-data (<< 4:6.4.90~),
Description: additional widgets for Plasma 6
 This package contains additional Plasma 6 widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package provides the following widgets:
  * Application Dashboard
  * Binary Clock
  * Calculator
  * Color Picker
  * Comic Strip
  * Dictionary
  * Disk Quota
  * Fifteen Puzzle
  * Fuzzy Clock
  * Grouping Plasmoid
  * Kate Sessions
  * Keyboard Indicator
  * Konsole Profiles
  * Lock Keys Status
  * Media Frame
  * Quicklaunch
  * Sticky Note
  * Timer
  * User Switcher
  * Weather Report
  * Web Browser
 .
 This package is part of the KDE Plasma 6 addons module.

Package: plasma-widgets-addons-dev
Section: libdevel
Architecture: any
Depends: libplasmaweatherdata6 (= ${binary:Version}),
         libplasmaweatherion6 (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
Description: additional widgets for Plasma 6 - development files
 This package contains the development headers for the shared libraries
 shipped with the additional Plasma 6 widgets from the Plasma addons module.
 .
 This package is part of the KDE Plasma 6 addons module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdeplasma-addons 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 project(kdeplasma-addons VERSION ${PROJECT_VERSION})
 
 ################# Disallow in-source build #################
@@ -8,7 +8,7 @@
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")

=== runners/converter/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_runner_converterrunner\")

kcoreaddons_add_plugin(unitconverter SOURCES converterrunner.cpp INSTALL_NAMESPACE "kf6/krunner")
target_link_libraries(unitconverter
    KF6::I18n
    KF6::Runner
    KF6::UnitConversion
    Qt::Widgets
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== applets/weather/ions/noaa/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Bohdan Onofriichuk <bogdan.onofriuchuk@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

kcoreaddons_add_plugin(noaa INSTALL_NAMESPACE "plasma/weather_ions")

target_sources(noaa PRIVATE
    ion_noaa.cpp
    ion_noaa.h
)

ecm_qt_declare_logging_category(noaa
    HEADER noaa_debug.h
    IDENTIFIER WEATHER::ION::NOAA
    CATEGORY_NAME org.kde.weather.ion.noaa
    DEFAULT_SEVERITY Info
    DESCRIPTION "NOAA National Weather Service ion plugin"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(noaa PRIVATE
    plasmaweatherion
    KF6::KIOCore
)

install (FILES noaa_station_list.xml DESTINATION ${KDE_INSTALL_DATADIR}/plasma/weather)

=== debian/changelog ===
kdeplasma-addons (4:6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:25:12 +0100

kdeplasma-addons (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: kdeplasma-addons
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                hunspell-en-us <!nocheck>,
@@ -32,8 +31,8 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.2~),
-               libplasma5support-dev (>= 4:6.5.2~),
+               libplasma-dev (>= 6.5.3~),
+               libplasma5support-dev (>= 4:6.5.3~),
                pkgconf,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
@@ -44,8 +43,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
 
 Package: kdeplasma-addons-data
 Architecture: all
@@ -62,7 +61,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-wayland (>= 4:6.2.90~),
+         kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
          plasma-desktoptheme (>= 6.2.90~),
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-ksvg,
@@ -84,9 +83,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
-Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: weather data manipulation library for Plasma widgets
  This library provide various classes to manipulate weather forecast data.
  .
@@ -96,9 +94,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
-Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: weather location and forcast library for Plasma widgets
  This library provides weather "ions" that can be used to request locations
  and weather forecast on the locations.
@@ -187,6 +184,19 @@
   * Haenau
   * Hunyango
   * Picture of the Day
+ .
+ This package is part of the KDE Plasma 6 addons module.
+
+Package: plasma-widgets-addons-dev
+Section: libdevel
+Architecture: any
+Depends: libplasmaweatherdata6 (= ${binary:Version}),
+         libplasmaweatherion6 (= ${binary:Version}),
+         qt6-base-dev (>= 6.9.0~),
+         ${misc:Depends},
+Description: additional widgets for Plasma 6 - development files
+ This package contains the development headers for the shared libraries
+ shipped with the additional Plasma 6 widgets from the Plasma addons module.
  .
  This package is part of the KDE Plasma 6 addons module.
 
@@ -258,18 +268,3 @@
   * Web Browser
  .
  This package is part of the KDE Plasma 6 addons module.
-
-Package: plasma-widgets-addons-dev
-Section: libdevel
-Architecture: any
-Depends: libplasmaweatherdata6 (= ${binary:Version}),
-         libplasmaweatherion6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
-         ${misc:Depends},
-Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
-Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
-Description: additional widgets for Plasma 6 - development files
- This package contains the development headers for the shared libraries
- shipped with the additional Plasma 6 widgets from the Plasma addons module.
- .
- This package is part of the KDE Plasma 6 addons module.

## kdeplasma-addons 6.5.3+p24.04+vunstable+git20251130.0132

=== debian/changelog ===
kdeplasma-addons (4:6.5.3+p24.04+vunstable+git20251130.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 01:32:13 +0000

kdeplasma-addons (4:6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:17 +1000

kdeplasma-addons (4:6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:12:34 +1000

## kdeplasma-addons 6.5.3+p24.04+vunstable+git20251203.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
 project(kdeplasma-addons VERSION ${PROJECT_VERSION})
 
 ################# Disallow in-source build #################
@@ -8,10 +8,10 @@
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(KDE_COMPILERSETTINGS_LEVEL "6.14")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -44,7 +44,6 @@
     Qml
     Widgets
     Test
-    Core5Compat
 )
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
@@ -69,11 +68,6 @@
     Svg
 )
 
-find_package(Plasma5Support ${PROJECT_DEP_VERSION})
-set_package_properties(Plasma5Support PROPERTIES
-    PURPOSE "Required at runtime for a few applets"
-    TYPE RUNTIME
-)
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
 find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

## kdeplasma-addons 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.4")
 project(kdeplasma-addons VERSION ${PROJECT_VERSION})
 
 ################# Disallow in-source build #################
@@ -8,10 +8,10 @@
     message(FATAL_ERROR "plasma requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there.")
 endif()
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.9.0")
 set(KF6_MIN_VERSION "6.18.0")
-set(KDE_COMPILERSETTINGS_LEVEL "6.14")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -44,6 +44,7 @@
     Qml
     Widgets
     Test
+    Core5Compat
 )
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
@@ -68,6 +69,11 @@
     Svg
 )
 
+find_package(Plasma5Support ${PROJECT_DEP_VERSION})
+set_package_properties(Plasma5Support PROPERTIES
+    PURPOSE "Required at runtime for a few applets"
+    TYPE RUNTIME
+)
 find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
 find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)

=== debian/changelog ===
kdeplasma-addons (4:6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:44 +0100

=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.3~),
-               libplasma5support-dev (>= 4:6.5.3~),
+               libplasma-dev (>= 6.5.4~),
+               libplasma5support-dev (>= 4:6.5.4~),
                pkgconf,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),

## kdeplasma-addons 6.5.4+p24.04+vstable+git20251231.0649

=== debian/changelog ===
kdeplasma-addons (4:6.5.4+p24.04+vstable+git20251231.0649-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 06:49:59 +0000

kdeplasma-addons (4:6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:21:31 +1000

## kdeplasma-addons 6.5.4+p24.04+vstable+git20260103.0701

=== debian/changelog ===
kdeplasma-addons (4:6.5.4+p24.04+vstable+git20260103.0701-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 07:01:06 +0000

## kdeplasma-addons 6.5.4+p24.04+vstable+git20260105.1246

=== debian/changelog ===
kdeplasma-addons (4:6.5.4+p24.04+vstable+git20260105.1246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:47:05 +0000

## kdeplasma-addons 6.5.5

=== debian/changelog ===
kdeplasma-addons (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:54:26 +0000

kdeplasma-addons (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:52 +0000

kdeplasma-addons (4:6.5.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:01:15 +0100

kdeplasma-addons (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:32 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kdeplasma-addons
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                hunspell-en-us <!nocheck>,
@@ -31,8 +32,8 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6unitconversion-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libplasma-dev (>= 6.5.4~),
-               libplasma5support-dev (>= 4:6.5.4~),
+               libplasma-dev (>= 6.5.5~),
+               libplasma5support-dev (>= 4:6.5.5~),
                pkgconf,
                qt6-5compat-dev (>= 6.9.0~),
                qt6-base-dev (>= 6.9.0~),
@@ -43,8 +44,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kdeplasma-addons
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeplasma-addons.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeplasma-addons
 
 Package: kdeplasma-addons-data
 Architecture: all
@@ -61,7 +62,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: kdeplasma-addons-data (= ${source:Version}),
-         kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
+         kwin-wayland (>= 4:6.2.90~),
          plasma-desktoptheme (>= 6.2.90~),
          qml6-module-org-kde-kirigami,
          qml6-module-org-kde-ksvg,
@@ -83,8 +84,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
+Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
 Description: weather data manipulation library for Plasma widgets
  This library provide various classes to manipulate weather forecast data.
  .
@@ -94,8 +96,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
+Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
 Description: weather location and forcast library for Plasma widgets
  This library provides weather "ions" that can be used to request locations
  and weather forecast on the locations.
@@ -184,19 +187,6 @@
   * Haenau
   * Hunyango
   * Picture of the Day
- .
- This package is part of the KDE Plasma 6 addons module.
-
-Package: plasma-widgets-addons-dev
-Section: libdevel
-Architecture: any
-Depends: libplasmaweatherdata6 (= ${binary:Version}),
-         libplasmaweatherion6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.9.0~),
-         ${misc:Depends},
-Description: additional widgets for Plasma 6 - development files
- This package contains the development headers for the shared libraries
- shipped with the additional Plasma 6 widgets from the Plasma addons module.
  .
  This package is part of the KDE Plasma 6 addons module.
 
@@ -268,3 +258,18 @@
   * Web Browser
  .
  This package is part of the KDE Plasma 6 addons module.
+
+Package: plasma-widgets-addons-dev
+Section: libdevel
+Architecture: any
+Depends: libplasmaweatherdata6 (= ${binary:Version}),
+         libplasmaweatherion6 (= ${binary:Version}),
+         qt6-base-dev (>= 6.9.0~),
+         ${misc:Depends},
+Breaks: plasma-widgets-addons (<< 4:6.5.0-1~),
+Replaces: plasma-widgets-addons (<< 4:6.5.0-1~),
+Description: additional widgets for Plasma 6 - development files
+ This package contains the development headers for the shared libraries
+ shipped with the additional Plasma 6 widgets from the Plasma addons module.
+ .
+ This package is part of the KDE Plasma 6 addons module.

## kdeplasma-addons 6.5.5+p24.04+vstable+git20260130.0935

=== debian/changelog ===
kdeplasma-addons (4:6.5.5+p24.04+vstable+git20260130.0935-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:35:30 +0000

kdeplasma-addons (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:30:06 +1000

## kdeplasma-addons 6.5.5+p24.04+vstable+git20260202.1046

=== debian/changelog ===
kdeplasma-addons (4:6.5.5+p24.04+vstable+git20260202.1046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:46:08 +0000

## kdeplasma-addons 6.5.5+p24.04+vstable+git20260203.0830

=== debian/changelog ===
kdeplasma-addons (4:6.5.5+p24.04+vstable+git20260203.0830-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:30:25 +0000

## kdeplasma-addons 6.5.5+p24.04+vunstable+git20260202.0945

=== debian/changelog ===
kdeplasma-addons (4:6.5.5+p24.04+vunstable+git20260202.0945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:45:57 +0000
